> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rpa get template list for team

> RPA



## OpenAPI

````yaml get /open/api/rpa/template/getList
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/rpa/template/getList:
    get:
      tags: []
      summary: Rpa get template list for team
      description: RPA
      parameters:
        - name: pageSize
          in: query
          description: >-
            Number of records displayed per page

            The default is1,and the maximum number of items in a single query
            is:1
          required: false
          schema:
            type: integer
        - name: pageNum
          in: query
          description: Current page count
          required: false
          schema:
            type: integer
        - name: nameOrCode
          in: query
          description: 流程模板名称/code
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableDataInfoGetTemplatePageResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    TableDataInfoGetTemplatePageResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Link ID
        total:
          type: integer
          description: Total number of records
          format: int64
        rows:
          type: array
          items:
            $ref: '#/components/schemas/GetTemplatePageResVO'
            description: GetTemplatePageResVO
          description: list data
        code:
          type: integer
          description: Message status code
        msg:
          type: string
          description: message content
    GetTemplatePageResVO:
      type: object
      properties:
        id:
          type: integer
          description: 流程模板id
          format: int64
        phoneId:
          type: integer
          description: 手机id
          format: int64
        wyTemplateId:
          type: integer
          description: wy流程模板状态
          format: int64
        code:
          type: string
          description: 流程模板编号
        originCode:
          type: string
          description: 原流程模板code
        name:
          type: string
          description: 流程模板名称
        description:
          type: string
          description: 流程模板简介
        sdkVersion:
          type: string
          description: sdk版本(spu名称)
        screen:
          type: string
          description: 分辨率大小
        tag:
          type: string
          description: 所属标签
        iconUrl:
          type: string
          description: icon图标链接
        params:
          $ref: '#/components/schemas/MapString'
          description: 流程模板参数构建结果
        newParams:
          type: array
          items:
            $ref: '#/components/schemas/TemplateParamsVO'
            description: 模板参数信息
          description: 流程模板参数构建结果
    MapString:
      type: object
      properties:
        key:
          type: string
    TemplateParamsVO:
      type: object
      properties:
        name:
          type: string
          description: 名称
        type:
          type: string
          description: 流程模板id
        required:
          type: string
          description: 流程模板id
        defaultValue:
          type: string
          description: 流程模板id
        fileInfo:
          $ref: '#/components/schemas/FileInfo'
          description: 流程模板id
        description:
          type: string
          description: 说明
    FileInfo:
      type: object
      properties:
        status:
          type: string
          description: 流程模板id
        fileUrl:
          type: string
          description: 流程模板id
        name:
          type: string
          description: 流程模板id
        size:
          type: string
          description: 流程模板id

````